using System;
using NUnit.Framework;
using static Laskuja;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestLaskuja
	{
		[Test]
		public  void TestKeskiarvo38()
		{
			Assert.AreEqual( 0, Keskiarvo(0, 0) , 0.000001, "in method Keskiarvo, line 39");
			Assert.AreEqual( 8, Keskiarvo(6, 10) , 0.000001, "in method Keskiarvo, line 40");
			Assert.AreEqual( 2.5, Keskiarvo(2, 3) , 0.000001, "in method Keskiarvo, line 41");
		}
		[Test]
		public  void TestNelionAla57()
		{
			Assert.AreEqual( 0, NelionAla(0) , 0.000001, "in method NelionAla, line 58");
			Assert.AreEqual( 4, NelionAla(2) , 0.000001, "in method NelionAla, line 59");
			Assert.AreEqual( 2.25, NelionAla(1.5) , 0.000001, "in method NelionAla, line 60");
		}
	}

